package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 施工车辆告警对象 pdm_vehicle_alarm
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
@Data
public class PdmVehicleAlarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    private String countyOrgNm;

    private String curator;

    /** 施工车辆 */
    @Excel(name = "施工车辆")
    private String vehicleNo;

    /** 车组 */
    @Excel(name = "车组")
    private String vehicleGroup;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String equipNo;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String equipNm;

    /** 异常编码0-正常,1-车辆GPS离线,2-施工车辆长期未动,3-有作业信息，没有车辆行驶里程,4-有车辆行驶里程，没有作业信息 */
    @Excel(name = "异常编码0-正常,1-车辆GPS离线,2-施工车辆长期未动,3-有作业信息，没有车辆行驶里程,4-有车辆行驶里程，没有作业信息")
    private String alarmCd;

    /** 告警描述 */
    @Excel(name = "告警描述")
    private String alarmDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVehicleNo(String vehicleNo) 
    {
        this.vehicleNo = vehicleNo;
    }

    public String getVehicleNo() 
    {
        return vehicleNo;
    }
    public void setVehicleGroup(String vehicleGroup) 
    {
        this.vehicleGroup = vehicleGroup;
    }

    public String getVehicleGroup() 
    {
        return vehicleGroup;
    }
    public void setEquipNo(String equipNo) 
    {
        this.equipNo = equipNo;
    }

    public String getEquipNo() 
    {
        return equipNo;
    }
    public void setEquipNm(String equipNm) 
    {
        this.equipNm = equipNm;
    }

    public String getEquipNm() 
    {
        return equipNm;
    }
    public void setAlarmCd(String alarmCd) 
    {
        this.alarmCd = alarmCd;
    }

    public String getAlarmCd() 
    {
        return alarmCd;
    }
    public void setAlarmDesc(String alarmDesc) 
    {
        this.alarmDesc = alarmDesc;
    }

    public String getAlarmDesc() 
    {
        return alarmDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vehicleNo", getVehicleNo())
            .append("vehicleGroup", getVehicleGroup())
            .append("equipNo", getEquipNo())
            .append("equipNm", getEquipNm())
            .append("alarmCd", getAlarmCd())
            .append("alarmDesc", getAlarmDesc())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
