package com.ruoyi.powerdistribution.mapper;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmConstructTeam;
import com.ruoyi.powerdistribution.domain.vo.PdmConstructTeamVo;
import com.ruoyi.powerdistribution.provider.ConstructTeamProvider;
import com.ruoyi.powerdistribution.provider.VehicleDrivingRecordProvider;
import org.apache.ibatis.annotations.InsertProvider;

/**
 * 配网工程队伍施工小组信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-01-20
 */
public interface PdmConstructTeamMapper 
{
    /**
     * 查询配网工程队伍施工小组信息
     * 
     * @param id 配网工程队伍施工小组信息主键
     * @return 配网工程队伍施工小组信息
     */
    public PdmConstructTeam selectPdmConstructTeamById(Long id);

    /**
     * 查询配网工程队伍施工小组信息列表
     * 
     * @param pdmConstructTeam 配网工程队伍施工小组信息
     * @return 配网工程队伍施工小组信息集合
     */
    public List<PdmConstructTeam> selectPdmConstructTeamList(PdmConstructTeam pdmConstructTeam);

    /**
     * 新增配网工程队伍施工小组信息
     * 
     * @param pdmConstructTeam 配网工程队伍施工小组信息
     * @return 结果
     */
    public int insertPdmConstructTeam(PdmConstructTeam pdmConstructTeam);

    /**
     * 修改配网工程队伍施工小组信息
     * 
     * @param pdmConstructTeam 配网工程队伍施工小组信息
     * @return 结果
     */
    public int updatePdmConstructTeam(PdmConstructTeam pdmConstructTeam);

    /**
     * 删除配网工程队伍施工小组信息
     * 
     * @param id 配网工程队伍施工小组信息主键
     * @return 结果
     */
    public int deletePdmConstructTeamById(Long id);

    /**
     * 批量删除配网工程队伍施工小组信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdmConstructTeamByIds(Long[] ids);

    public void clean();
    @InsertProvider(type = ConstructTeamProvider.class, method = "insert")
    public void batchAdd(List<PdmConstructTeamVo> list);
}
