package com.ruoyi.powerdistribution.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.powerdistribution.domain.PdmScoreRankManager;

/**
 * 负责人积分排名Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-05
 */
public interface PdmScoreRankManagerMapper extends BaseMapper<PdmScoreRankManager>
{
    /**
     * 查询负责人积分排名
     *
     * @param id 负责人积分排名主键
     * @return 负责人积分排名
     */
    public PdmScoreRankManager selectPdmScoreRankManagerById(Long id);

    /**
     * 查询负责人积分排名列表
     *
     * @param pdmScoreRankManager 负责人积分排名
     * @return 负责人积分排名集合
     */
    public List<PdmScoreRankManager> selectPdmScoreRankManagerList(PdmScoreRankManager pdmScoreRankManager);

    /**
     * 新增负责人积分排名
     *
     * @param pdmScoreRankManager 负责人积分排名
     * @return 结果
     */
    public int insertPdmScoreRankManager(PdmScoreRankManager pdmScoreRankManager);

    /**
     * 修改负责人积分排名
     *
     * @param pdmScoreRankManager 负责人积分排名
     * @return 结果
     */
    public int updatePdmScoreRankManager(PdmScoreRankManager pdmScoreRankManager);

    /**
     * 删除负责人积分排名
     *
     * @param id 负责人积分排名主键
     * @return 结果
     */
    public int deletePdmScoreRankManagerById(Long id);

    /**
     * 批量删除负责人积分排名
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdmScoreRankManagerByIds(Long[] ids);

    /**
     * 统计并保存负责人得分
     * @param pdmScoreRankManager
     * @return
     */
    int saveRank(PdmScoreRankManager pdmScoreRankManager);

    /**
     * 根据年分组统计排名
     * @return
     */
    List<PdmScoreRankManager> getManagerRankYearList(PdmScoreRankManager pdmScoreRankManager);
}
