package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmConstructor;

/**
 * 配网工程队伍施工人员信息Service接口
 * 
 * @author ruoyi
 * @date 2025-01-20
 */
public interface IPdmConstructorService 
{
    /**
     * 查询配网工程队伍施工人员信息
     * 
     * @param id 配网工程队伍施工人员信息主键
     * @return 配网工程队伍施工人员信息
     */
    public PdmConstructor selectPdmConstructorById(Long id);

    /**
     * 查询配网工程队伍施工人员信息列表
     * 
     * @param pdmConstructor 配网工程队伍施工人员信息
     * @return 配网工程队伍施工人员信息集合
     */
    public List<PdmConstructor> selectPdmConstructorList(PdmConstructor pdmConstructor);

    /**
     * 新增配网工程队伍施工人员信息
     * 
     * @param pdmConstructor 配网工程队伍施工人员信息
     * @return 结果
     */
    public int insertPdmConstructor(PdmConstructor pdmConstructor);

    /**
     * 修改配网工程队伍施工人员信息
     * 
     * @param pdmConstructor 配网工程队伍施工人员信息
     * @return 结果
     */
    public int updatePdmConstructor(PdmConstructor pdmConstructor);

    /**
     * 批量删除配网工程队伍施工人员信息
     * 
     * @param ids 需要删除的配网工程队伍施工人员信息主键集合
     * @return 结果
     */
    public int deletePdmConstructorByIds(Long[] ids);

    /**
     * 删除配网工程队伍施工人员信息信息
     * 
     * @param id 配网工程队伍施工人员信息主键
     * @return 结果
     */
    public int deletePdmConstructorById(Long id);
}
