package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmVehicleAlarmMapper;
import com.ruoyi.powerdistribution.domain.PdmVehicleAlarm;
import com.ruoyi.powerdistribution.service.IPdmVehicleAlarmService;

/**
 * 施工车辆告警Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
@Service
public class PdmVehicleAlarmServiceImpl implements IPdmVehicleAlarmService 
{
    @Autowired
    private PdmVehicleAlarmMapper pdmVehicleAlarmMapper;

    /**
     * 查询施工车辆告警
     * 
     * @param id 施工车辆告警主键
     * @return 施工车辆告警
     */
    @Override
    public PdmVehicleAlarm selectPdmVehicleAlarmById(Long id)
    {
        return pdmVehicleAlarmMapper.selectPdmVehicleAlarmById(id);
    }

    /**
     * 查询施工车辆告警列表
     * 
     * @param pdmVehicleAlarm 施工车辆告警
     * @return 施工车辆告警
     */
    @Override
    public List<PdmVehicleAlarm> selectPdmVehicleAlarmList(PdmVehicleAlarm pdmVehicleAlarm)
    {
        return pdmVehicleAlarmMapper.selectPdmVehicleAlarmList(pdmVehicleAlarm);
    }

    /**
     * 新增施工车辆告警
     * 
     * @param pdmVehicleAlarm 施工车辆告警
     * @return 结果
     */
    @Override
    public int insertPdmVehicleAlarm(PdmVehicleAlarm pdmVehicleAlarm)
    {
        pdmVehicleAlarm.setCreateTime(DateUtils.getNowDate());
        return pdmVehicleAlarmMapper.insertPdmVehicleAlarm(pdmVehicleAlarm);
    }

    /**
     * 修改施工车辆告警
     * 
     * @param pdmVehicleAlarm 施工车辆告警
     * @return 结果
     */
    @Override
    public int updatePdmVehicleAlarm(PdmVehicleAlarm pdmVehicleAlarm)
    {
        pdmVehicleAlarm.setUpdateTime(DateUtils.getNowDate());
        return pdmVehicleAlarmMapper.updatePdmVehicleAlarm(pdmVehicleAlarm);
    }

    /**
     * 批量删除施工车辆告警
     * 
     * @param ids 需要删除的施工车辆告警主键
     * @return 结果
     */
    @Override
    public int deletePdmVehicleAlarmByIds(Long[] ids)
    {
        return pdmVehicleAlarmMapper.deletePdmVehicleAlarmByIds(ids);
    }

    /**
     * 删除施工车辆告警信息
     * 
     * @param id 施工车辆告警主键
     * @return 结果
     */
    @Override
    public int deletePdmVehicleAlarmById(Long id)
    {
        return pdmVehicleAlarmMapper.deletePdmVehicleAlarmById(id);
    }
}
