package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmVehicleDrivingRecordMapper;
import com.ruoyi.powerdistribution.domain.PdmVehicleDrivingRecord;
import com.ruoyi.powerdistribution.service.IPdmVehicleDrivingRecordService;

/**
 * 施工车辆行驶记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
@Service
public class PdmVehicleDrivingRecordServiceImpl implements IPdmVehicleDrivingRecordService 
{
    @Autowired
    private PdmVehicleDrivingRecordMapper pdmVehicleDrivingRecordMapper;

    /**
     * 查询施工车辆行驶记录
     * 
     * @param id 施工车辆行驶记录主键
     * @return 施工车辆行驶记录
     */
    @Override
    public PdmVehicleDrivingRecord selectPdmVehicleDrivingRecordById(Long id)
    {
        return pdmVehicleDrivingRecordMapper.selectPdmVehicleDrivingRecordById(id);
    }

    /**
     * 查询施工车辆行驶记录列表
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 施工车辆行驶记录
     */
    @Override
    public List<PdmVehicleDrivingRecord> selectPdmVehicleDrivingRecordList(PdmVehicleDrivingRecord pdmVehicleDrivingRecord)
    {
        return pdmVehicleDrivingRecordMapper.selectPdmVehicleDrivingRecordList(pdmVehicleDrivingRecord);
    }

    /**
     * 新增施工车辆行驶记录
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 结果
     */
    @Override
    public int insertPdmVehicleDrivingRecord(PdmVehicleDrivingRecord pdmVehicleDrivingRecord)
    {
        pdmVehicleDrivingRecord.setCreateTime(DateUtils.getNowDate());
        return pdmVehicleDrivingRecordMapper.insertPdmVehicleDrivingRecord(pdmVehicleDrivingRecord);
    }

    /**
     * 修改施工车辆行驶记录
     * 
     * @param pdmVehicleDrivingRecord 施工车辆行驶记录
     * @return 结果
     */
    @Override
    public int updatePdmVehicleDrivingRecord(PdmVehicleDrivingRecord pdmVehicleDrivingRecord)
    {
        pdmVehicleDrivingRecord.setUpdateTime(DateUtils.getNowDate());
        return pdmVehicleDrivingRecordMapper.updatePdmVehicleDrivingRecord(pdmVehicleDrivingRecord);
    }

    /**
     * 批量删除施工车辆行驶记录
     * 
     * @param ids 需要删除的施工车辆行驶记录主键
     * @return 结果
     */
    @Override
    public int deletePdmVehicleDrivingRecordByIds(Long[] ids)
    {
        return pdmVehicleDrivingRecordMapper.deletePdmVehicleDrivingRecordByIds(ids);
    }

    /**
     * 删除施工车辆行驶记录信息
     * 
     * @param id 施工车辆行驶记录主键
     * @return 结果
     */
    @Override
    public int deletePdmVehicleDrivingRecordById(Long id)
    {
        return pdmVehicleDrivingRecordMapper.deletePdmVehicleDrivingRecordById(id);
    }

    @Override
    public void batchAdd(List<PdmVehicleDrivingRecord> list) {
        pdmVehicleDrivingRecordMapper.insert(list);
    }
}
